import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-skill-details',
  templateUrl: './skill-details.component.html',
  styleUrl: './skill-details.component.scss',
})
export class SkillDetailsComponent {
  @Input() skillName: string = '';
  @Input() skillModifier: string = '';

  skillNames: any = {
    acrobatics: 'Akrobatik',
    animalHandling: 'Tierkunde',
    arcana: 'Arkana',
    athletics: 'Athletik',
    deception: 'Täuschen',
    history: 'Geschichte',
    insight: 'Motiv erkennen',
    intimidation: 'Einschüchtern',
    investigation: 'Nachforschung',
    medicine: 'Heilkunde',
    nature: 'Naturkunde',
    perception: 'Wahrnehmung',
    performance: 'Auftreten',
    persuasion: 'Überreden',
    religion: 'Religion',
    sleightOfHands: 'Fingerfertigkeit',
    stealth: 'Heimlichkeit',
    survival: 'Überleben',
  };

  public descriptions: any = {
    acrobatics:
      'Würfe auf Akrobatik decken alle Versuche ab, in denen ein Charakter in schwierigen Situtationen auf den Beinen bleiben will. Dies beinhaltet z.B. das Balancieren auf einem Seil, das Rennen über instabile Oberflächen, das Balancieren auf einem schmalen Vorsprung und das Springen über Hindernisse.',
    animalHandling:
      'Würfe auf Tierkunde decken alle Versuche ab, ein domestiziertes Tier zu beruhigen, ein Reittier vor dem Scheuen zu bewahren oder intuitiv zu verstehen, wie es einem wilden Tier geht und was seine Absichten sind.',
    arcana:
      'Würfe auf Arkana decken alle Versuche ab, magische Energie zu identifizieren, zu verstehen oder zu manipulieren.',
    athletics:
      'Würfe auf Athletik decken alle Versuche ab, die körperliche Kraft eines Charakters zu testen. Dies beinhaltet z.B. das Klettern, das Schwimmen und das Springen.',
    deception:
      'Würfe auf Täuschen zeigen an, ob ein Charakter überzeugend die Wahrheit verbergen kann, sei es nun verbal oder durch konkretes Handeln. Dies beinhaltet z.B. das Lügen, das Verbergen von Emotionen hinter einer Maske und das Verkleiden.',
    history:
      'Würfe auf Geschichte decken alle Versuche ab, sich an historische Ereignisse und Personen, vergangene Zeitalter, alte Reiche und vergessene Kulturen zu erinnern.',
    insight:
      'Würfe auf Motiv erkennen decken alle Versuche ab, die wahren Absichten einer anderen Person zu erkennen. Dies beinhaltet z.B. das Erkennen von Lügen, das Interpretieren von Körpersprache und das Voraussagen seiner nächsten Schritte.',
    intimidation:
      'Würfe auf Einschüchtern decken alle Versuche ab, eine andere Person durch Drohungen, offensichtliche Gewalt oder subtile Hinweise zu beeinflussen.',
    investigation:
      'Würfe auf Nachforschung decken alle Versuche ab, Hinweise zu finden und zu interpretieren, die auf eine vorherige Aktivität hindeuten. Dies beinhalet z.B. auch das Rekonstruieren von Tathergängen oder das Aufspüren verborgener Gegenstände.',
    medicine:
      'Würfe auf Heilkunde decken alle Versuche ab, einen Charakter zu stabilisieren, eine Krankheit zu heilen oder eine Wunde zu verbinden.',
    nature:
      'Würfe auf Naturkunde decken alle Versuche ab, die Eigenschaften von wilden Tieren, Pflanzen und anderen Wesen zu erkennen.',
    perception:
      'Würfe auf Wahrnehmung decken alle Versuche ab, die Umgebung zu beobachten und zu bemerken, was sich in der Nähe befindet. Dies beinhaltet z.B. das Erkennen von versteckten Feinden, das Hören von Gesprächen hinter einer Tür, das Entdecken von Hinweisen und das Beobachten von Gefahren.',
    performance:
      'Würfe auf Auftreten decken alle Versuche ab, ein Publikum zu unterhalten, sei es nun durch Musik, Tanzen, Schauspielerei oder andere Formen der Unterhaltung.',
    persuasion:
      'Würfe auf Überreden decken alle Versuche ab, eine andere Person durch Überzeugung, Logik oder Argumentation zu beeinflussen.',
    religion:
      'Würfe auf Religion decken alle Versuche ab, religiöse Rituale zu verstehen, religiöse Symbole zu erkennen und religiöse Traditionen zu interpretieren.',
    sleightOfHands:
      'Würfe auf Fingerfertigkeit decken alle Versuche ab, etwas zu stehlen, einen Trick zu vollführen oder eine Handlung zu vollführen, ohne dass es jemand bemerkt.',
    stealth:
      'Würfe auf Heimlichkeit decken alle Versuche ab, sich zu verstecken, sich leise zu bewegen und sich zu verbergen.',
    survival:
      'Würfe auf Überleben decken alle Versuche ab, in der Wildnis zu überleben. Dies beinhaltet z.B. das Jagen und das Navigieren durch die Wildnis.',
  };
}
